Bug 627301 - Rebase python from 2.6.5 to 2.6.6 in RHEL 6.1
Rebase python from 2.6.5 to 2.6.6 in RHEL 6.1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Dave Malcolm
Petr Šplíchal
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-25 11:55 EDT by Dave Malcolm
Modified: 2011-05-19 09:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-2.6.6-1.el6, python-docs-2.6.6-2.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Python has been rebased from 2.6.5 to 2.6.6
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 07:36:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2010-08-25 11:55:20 EDT
Description of problem:
RHEL 6.0 has python-2.6.5

python-2.6.6 was released yesterday:
  http://www.python.org/download/releases/2.6.6/

It was intended as a bugfix release, and contains a few dozen bugfixes on top of 2.6.5; see:
  http://www.python.org/download/releases/2.6.6/NEWS.txt
from "What's New in Python 2.6.6?" through to "What's New in Python 2.6.5?"
Comment 3 Michał Piotrowski 2010-08-25 12:50:13 EDT
It would be nice. It is a pity that it is not possible to rebase to python 2.7 - it's a LTS release.
Comment 4 Dave Malcolm 2010-08-25 13:13:51 EDT
(In reply to comment #3)
> It would be nice. It is a pity that it is not possible to rebase to python 2.7
> - it's a LTS release.

FWIW, I currently do an unofficial, not-supported-by-Red-Hat build of python 2.6 for RHEL5, within EPEL5.  This is a personal side project.

Would there be interest if I did a similar build of python 2.7 for RHEL 6?  for RHEL 5?  (no promises; again, this is a personal side-project).
Comment 5 Michał Piotrowski 2010-08-25 18:18:41 EDT
"Would there be interest if I did a similar build of python 2.7 for RHEL 6?"

As for me it would be very nice of you if you provide such packages :)

Many web projects are using Python and availability of LTS versions would be appreciated.

"not-supported-by-Red-Hat"

If you provides support, it's almost as if RH provides it ;)

But seriously, for many projects, the availability of well build and supported packages is just enough.
Comment 10 Dave Malcolm 2010-11-29 19:13:24 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Python has been rebased from 2.6.5 to 2.6.6
Comment 21 errata-xmlrpc 2011-05-19 07:36:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0554.html
Comment 22 errata-xmlrpc 2011-05-19 09:07:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0554.html

Note You need to log in before you can comment on or make changes to this bug.